GET V1/RateAndTariff.{ext}/MasterData?masterType={masterType}&idRequired={idRequired}
This API used to get master data
Mandatory Fields :Master Type
Optional Fields : idRequired.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| masterType |
|
string |
Required |
| idRequired |
|
boolean |
Default value is True |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
EMSResponseOfSystem.Object| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
Object |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "Object",
"response": {},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.